# List Payment Method Updater instances Retrieves the detailed information of all Payment Method Updater (PMU) instances on your tenant, except for American Express (AMEX). Endpoint: GET /v1/payment-method-updaters Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Response 200 fields (application/json): - `success` (boolean) Indicates whether the call is successful. - `updaters` (object) Container for PMU instances available on your tenant. - `updaters.daysToUpdateBeforeBcd` (integer) The days prior to the Bill Cycle Day to start PMU service. - `updaters.id` (string) The ID of the PMU instance. - `updaters.isActive` (boolean) true indicates that this PMU instance is active. - `updaters.isDefault` (boolean) true indicates that it is the default PMU instance. - `updaters.isTest` (string) true indicates that this PMU instance is for testing. - `updaters.processAssociatedGwOnly` (boolean) true indicates that only the payment methods for customer accounts that meet either of the following conditions are included in the updates: - The default payment gateway of the customer account is set to an instance of the same type as updaterGatewayType. - The default payment gateway of the customer account is not configured, but the default payment gateway of the tenant is set to an instance of the same type as updaterGatewayType. false indicates that information of all payment methods is submitted. - `updaters.processAutopayDefaultPmOnly` (boolean) true indicates that only the default payment methods for customer accounts with the AutoPay setting enabled are included in the updates. false indicates that data of all payment methods for all customer accounts is submitted, regardless of whether AutoPay is enabled for the customer account or not. - `updaters.processMastercard` (boolean) true indicates that Mastercard data processing is supported. - `updaters.processVisa` (boolean) true indicates that Visa data processing is supported. - `updaters.updaterGatewayType` (string) The payment gateway type of the PMU instance. - `updaters.updaterName` (string) The name of the PMU instance. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.